Bug 462043 - Review Request: rcssserver - Robocup 2D Soccer Simulation Server
Review Request: rcssserver - Robocup 2D Soccer Simulation Server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 03:15 EDT by Hedayat Vatankhah
Modified: 2008-09-24 20:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 11:35:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hedayat Vatankhah 2008-09-12 03:15:46 EDT
Spec URL: http://www.assembla.com/spaces/hedayat/documents/bkRaSKt4Gr3z42ab7jnrAJ/download/rcssserver.spec

SRPM URL: http://www.assembla.com/spaces/hedayat/documents/dwdtxkGjKr3yaCab7jnrAJ/download/rcssserver-12.1.3-1.fc9.src.rpm

Description:
The RoboCup Soccer Simulator Server (rcssserver) is a research and educational
tool for mutli-agent systems and artificial intelligence. It allows 11
simulated autonomous robotic players to play soccer (football).

This package includes the simulation server. If you want to view the games 
you should install and run a monitor (rcssmonitor or rcssmonitor_classic).
Comment 1 Mamoru TASAKA 2008-09-12 10:32:54 EDT
For 12.1.3-1:

* License
  - I guess the license tag should "GPLv2+"
    * Some codes like coach_lang_tok.cpp are generated by bison/flex.
      Although bison has some exception term for GPL, for this package
      the original parser skeletons themselves are written under GPLv2+.

* Requires
  - -gui subpackage usually must have EVR (epoch-version-release)
    specific dependency against main package, not just version
    specific.

* %defattr
  - is missing on -gui subpackage.

* modules
  - Usually "modules" (which are usually under %_libdir/%name) are
    dlopen()ed by the main binary as the names of XXXX.so, so
    usually symlinks to the modules like %_libdir/%name/XXX.so
    should not be -devel subpackage.

    Actually about rcsoccersim script, without -devel subpackage:
------------------------------------------------------
[tasaka1@localhost ~]$ ls -al /usr/lib/rcssserver/modules/libstdoutsaver*
lrwxrwxrwx 1 root root    23 2008-09-12 22:26 /usr/lib/rcssserver/modules/libstdoutsaver.so.0 -> libstdoutsaver.so.0.0.0
-rwxr-xr-x 1 root root 21784 2008-09-12 16:38 /usr/lib/rcssserver/modules/libstdoutsaver.so.0.0.0
[tasaka1@localhost ~]$ rcssmodtest /usr/lib/rcssserver/modules/libstdoutsaver ; echo $?
error: could not load /usr/lib/rcssserver/modules/libstdoutsaver
error: /usr/lib/rcssserver/modules/libstdoutsaver.so: cannot open shared object file: No such file or directory
1
------------------------------------------------------

* rcsoccersim script
  - src/rcsoccersim.in does not handle 64 bit arch issue correctly
    (@prefix@/lib or so won't work)
Comment 3 Mamoru TASAKA 2008-09-13 21:51:01 EDT
Well, for -2.fc9

! src/rcsoccersim.in
  - About src/rcsoccersim.in:
--------------------------------------------------------------
     1  #! /bin/sh
     2  
     3  BASEPATH=@RCSSBASE@
     4  if [ x"$BASEPATH" != x ] ; then
     5      if [ x"$LD_LIBRARY_PATH" = x ] ; then
     6          LD_LIBRARY_PATH=$BASEPATH/lib
     7      else
     8          LD_LIBRARY_PATH=$BASEPATH/lib:$LD_LIBRARY_PATH
     9      fi
    10      export LD_LIBRARY_PATH
    11  fi
--------------------------------------------------------------
    Well, also here 64 bits issue _seems_ to exist, however on i386
    @RCSSBASE@ is (nil) and these lines doesn't seem to do anything.
    Not a blocker, however would you check if these lines are doing
    what you expect?

* log output
  - I noticed that rcsoccersim prints out some logs to
    - if rcsoccersim is called on tty, the directory where
      the program is called
    - if not on tty, the home directory
  Would you consider to move the directory where the logs
  are saved to ~/.rcsoccersim, for example so that we don't miss
  those logs?
Comment 4 Mamoru TASAKA 2008-09-13 22:06:04 EDT
(In reply to comment #3)
>     - if rcsoccersim is called on tty, the directory where
>       the program is called
>     - if not on tty, the home directory

s|tty|terminal|'
Comment 5 Hedayat Vatankhah 2008-09-14 14:28:07 EDT
* src/rcsoccersim.in:
RCSSBASE is always empty in the default setting which we use (It is only used if RCSSBASE environment variable is set before running configure). So these lines won't be used and I didn't change them. I think this is OK.

* logs: The logs will consume lots of space so I think it is not a good idea to hide them by putting them in a hidden directory (The user will see that he has no free space but he doesn't know what happened. So, I think we should use either the current settings or moving them to a normal directory inside home? (when not running in terminal or always?)
Comment 6 Hedayat Vatankhah 2008-09-14 15:04:31 EDT
* more logs: 
Use can (and should be able to) change to logging directories in the ~/.rcssserver/server.conf (which is generate the first time server is called). The only time which might be good to set another log directory is when server is called using the menu item. But again, if user has selected anything except './' as logging directory, it should be respected I think. 
So, I think the current settings for the logging directory should not be changed. (maybe the defaults should be changed to something other than './' which will need patching source files).
Comment 7 Mamoru TASAKA 2008-09-15 14:22:27 EDT
Well, okay. Your opinition seems reasonable and I won't oppose to it for now.

---------------------------------------------------------
   This package (rcssserver) is APPROVED by mtasaka
---------------------------------------------------------
Comment 8 Hedayat Vatankhah 2008-09-15 15:03:13 EDT
Thanks.

New Package CVS Request
=======================
Package Name: rcssserver
Short Description: Robocup 2D Soccer Simulation Server
Owners: hedayat
Branches: F-8 F-9
Cvsextras Commits: yes
Comment 9 Huzaifa S. Sidhpurwala 2008-09-16 23:21:59 EDT
cvs done
Comment 10 Mamoru TASAKA 2008-09-17 11:35:48 EDT
Closing.
Comment 11 Fedora Update System 2008-09-18 04:11:42 EDT
rcssserver-12.1.3-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/rcssserver-12.1.3-2.fc8
Comment 12 Fedora Update System 2008-09-18 04:11:45 EDT
rcssserver-12.1.3-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rcssserver-12.1.3-2.fc9
Comment 13 Fedora Update System 2008-09-24 20:00:27 EDT
rcssserver-12.1.3-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2008-09-24 20:15:45 EDT
rcssserver-12.1.3-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.